View Issue Details

IDProjectCategoryView StatusLast Update
0005213Talerwallet (WebExtensions)public2020-08-29 14:05
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionwon't fix 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0005213: wallet's "tree view" should be turned into a human-friendly, detailed balance sheet
Description... including last seen error messages for the case where some amount is pending.

Currently the tree view is only useful for developers (if at all), and the balance overview has too little detail and no explanations. We'd have to go to the background page to see what errors happened if an amount stays "pending".
TagsNo tags attached.

Activities

Florian Dold

2020-07-16 20:02

manager   ~0016475

This seems too much like a "developer centric" view, and is obsoleted by the current design of the transaction list, balance overview and global notifications.

Instead, the web extension wallet should just have the same balance view and transaction history as the Android wallet.

There are many things that *could* be done there, but that is post-1.0 gold plating on the "financial literacy" aspect.

IMHO this one should be resolved as "won't fix", WDYT?

Christian Grothoff

2020-08-29 14:05

manager   ~0016798

Ok, let's won't fix this one.

Issue History

Date Modified Username Field Change
2017-12-11 19:45 Florian Dold New Issue
2017-12-12 15:06 Florian Dold Assigned To => Florian Dold
2017-12-12 15:06 Florian Dold Status new => assigned
2017-12-12 15:06 Florian Dold Category wallet (app) => wallet (WebExtensions)
2017-12-14 15:50 Christian Grothoff Product Version => git (master)
2017-12-14 15:50 Christian Grothoff Target Version => 0.7.1
2018-01-30 08:32 Christian Grothoff Severity minor => feature
2020-07-16 20:02 Florian Dold Status assigned => feedback
2020-07-16 20:02 Florian Dold Note Added: 0016475
2020-08-29 14:05 Christian Grothoff Status feedback => closed
2020-08-29 14:05 Christian Grothoff Resolution open => won't fix
2020-08-29 14:05 Christian Grothoff Fixed in Version => 0.8
2020-08-29 14:05 Christian Grothoff Target Version 0.7.1 => 0.8
2020-08-29 14:05 Christian Grothoff Note Added: 0016798